| Edinburgh Speech Tools Library |
--- | --- | ---
Prev | Chapter 4. Basic Classes | Next

# EST_TMatrix example code

The EST_TMatrix class is a generl purpose 2 dimensional array container class. It handles memory allocation and (if required) bounds checking and is reasonably efficiant, so there should be little need to use bare `C++` arays.

#include "EST_TMatrix.h" #include "EST_String.h"

## Basic Matrix Use

Instances of the TMatrix class are intended to behave as you would expect two dimensional arrays to work.

### Declaration

Matrixes are declared by giving the type and the number of rows and columns. Here we create a 10 row by 5 column matrix.

Prev | Home | Next
Example Code | Up | EST_KVL example code